#ifdef HAVE_CONFIG_H
   #include <config.h>     // autoheader   -I.
#endif

#ifdef HAVE_ATEXIT
   #define exit_func(x)    atexit(x)
#else
   #define exit_func(x)
#endif

#define VERSION "0.2.0"
#define PROGRAM "ettercap"
#define AUTHORS "ALoR & NaGA"

#define loop for(;;)

extern char *program_argv0;

typedef struct host_arp          // hosts in LAN info
{
	int port;
   char name[128];
   char ip[16];
   char mac[20];
} HOST;


extern HOST *Host_In_LAN;
extern int number_of_hosts_in_lan;

extern HOST Host_Source;
extern HOST Host_Dest;

typedef struct options_list      // arguments passed on command line
{
   char list:1;
   char arpsniff:1;
   char sniff:1;
   char macsniff:1;
   char normal:1;
   char check:1;
   char plugin:1;
   char netiface[10];
} OPTIONS;

extern OPTIONS Options;


typedef struct data_connection   // data through the pipe with illithid
{
   char ip_source[16];
   char ip_dest[16];
   int port_source;
   int port_dest;
// long seq;
// long ack_seq;
// int flags;
   int datasize;
   char data[2000];
} SNIFFED_DATA;


typedef struct {
   int Host_Index1;
   int Host_Index2;
   unsigned char mode;
} SniffingHost;


typedef struct connection        // connection list
{
   char ip_source[16];
   char ip_dest[16];
   int port_source;
   int port_dest;
   char status;
   char type[15];
} CONNECTION;


typedef struct {                 // buffer structure (ec_buffer.c)
   short size;
   char *data;
   struct BUFFER *next;
} BUFFER;


extern CONNECTION *Conn_Between_Hosts;
extern int number_of_connections;

extern int pipe_with_illithid;
extern int pipe_with_illithid_data;
extern int pipe_inject_stod[2];
extern int pipe_inject_dtos[2];


#if HAVE_GETTIMEOFDAY
   #define TIME_DECLARE struct timeval start, finish
   #define TIME_START   gettimeofday(&start, 0)
   #define TIME_FINISH  gettimeofday(&finish, 0)
   #define TIME_ELAPSED (finish.tv_sec + finish.tv_usec/1.0e6)-(start.tv_sec  + start.tv_usec/1.0e6)
#else
   #define TIME_DECLARE float start, finish
   #define TIME_START   start=clock()
   #define TIME_FINISH  finish=clock()
   #define TIME_ELAPSED ((finish-start)/CLOCKS_PER_SEC)
#endif

/* EOF */
