/*

  This file is part of sniffer, a packet capture utility and
  network moniter
  The author can be contacted at <mistral@stev.org>
  the lastest version is avilable from 
  http://stev.org

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SNIFF_CONFIG_H
#define _SNIFF_CONFIG_H

/* Core Sniffer Options */
#define DEBUG
#define DEBUG_SNIFF


/* Options for checksums */
#define CHECKSUMS		/* do we want checksums ? */

#ifdef CHECKSUMS
#define IP_CHECKSUM		/* drop failed checksum packets */
#define TCP_CKECKSUM
#define UDP_CHECKSUM
#define ICMP_CHECKSUM
#endif

/* Options For IP Code */
#define DEBUG_IP		/* want to debug IP ? */
#define IP_FRAG_TIMEOUT 20 	/* fragment times out (Seconds) */
#define IP_UNSUPPORTED		/* print messages about unsupported protocols */


/* Options For TCP Code */
#define DEBUG_TCP		/* want to debug TCP ? */
#define TCP_TIMEOUT 900 	/* how long for a timeout (Seconds) */
#define TCP_CYCLE 2 		/* how long until we delete a connection */

/* Options For Lookups ? */
//#define DEBUG_LOOKUP		/* want to debug lookups ? */
#define LOOKUP_SORT_HOST	/* sort by host byte order ? */

/* Options For UDP ? */
//#define DEBUG_UDP		/* Want to debug UDP ? */

/* Options For ICMP */
//#define DEBUG_ICMP		/* Want to debug ICMP ? */

/* Options For ARP ? */
//#define DEBUG_ARP 		/* Want to debug arp ? */
#define ARP			/* Want to moniter arp ? */
#define ARP_48BIT		/* Want ARP_48BIT || ETHER || IEEE802 ? */


/**************************************************************/
/* User Level Protocols */

/* Options For FTP ? */
#define FTP			/* want support for ftp ? */
//#define DEBUG_FTP		/* Want To Debug FTP ? */

/* Options for HTTP ? */
#define HTTP		/* want support for HTTP ? */
//#define DEBUG_HTTP	/* want to Debug HTTP ? */

/* Options For POP3 ? */
#define POP3			/* want support for pop3 ? */
//#define DEBUG_POP3		/* Want To Debug POP3 ? */



#endif /* end ifndef _SNIFF_CONFIG_H */
