/*

  This file is part of sniffer, a packet capture utility and
  network moniter
  The author can be contacted at <mistral@stev.org>
  the lastest version is avilable from 
  http://stev.org

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SNIFF_POP3_H
#define _SNIFF_POP3_H

#include "list.h"

#define POP3_ERROR 0    /* and error */
#define POP3_START 1	/* the connection has just been made */
#define POP3_USER  2	/* we just sent the user name */
#define POP3_PASS  3	/* we just sent the pass word */
#define POP3_LOGIN 4	/* just logged in */
#define POP3_STAT  5	/* stat command */
#define POP3_LIST  6	/* list command */
#define POP3_BYE   255	/* completed */

struct pop3_data {
	unsigned char state;  /* what state the ftp is in */
	/* these are what we pull from a pop3 connection */
	char *user;
	char *pass;
	struct list_t *mails;
	unsigned long 	user_good:1,
			pass_good:1,
			list_good:1,
			exit_good:1;
};

extern pthread_mutex_t pop3_mutex;

#ifdef _SNIFF_TCP_H
void pop3_src		(struct sniff_pkt *pkt, struct tcp_data *tcp , char *data , int length );
void pop3_dst		(struct sniff_pkt *pkt, struct tcp_data *tcp , char *data , int length );
void pop3_clean		(struct tcp_data *tcp );
void pop3_init		(struct tcp_data *tcp );
#endif
void pop3_open		( void );

#endif /* _SNIFF_POP3_H */
